Package de.geolykt.starloader.deobf.remapper

# Class MethodRenameMap

java.lang.Object
de.geolykt.starloader.deobf.remapper.MethodRenameMap

public class MethodRenameMap extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MethodRenameMap()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  `String`
  `get(String owner, String descriptor, String oldName)`
  `String`
  `getOrDefault(String owner, String descriptor, String oldName, String defaultValue)`
  `String`
  `optGet(String owner, String descriptor, String oldName)`
  `void`
  `put(String owner, String descriptor, String name, String newName)`
  `void`
  `remove(String owner, String desc, String name)`
  Removes a method remapping entry from the method remapping list.
  `int`
  `size()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MethodRenameMap

    public MethodRenameMap()

- ## Method Details

  - ### clear

    public void clear()

  - ### get

    public String get(String owner, String descriptor, String oldName)

  - ### getOrDefault

    public String getOrDefault(String owner, String descriptor, String oldName, String defaultValue)

  - ### optGet

    public String optGet(String owner, String descriptor, String oldName)

  - ### put

    public void put(String owner, String descriptor, String name, String newName) throws ConflicitingMappingException
    Throws:
      `ConflicitingMappingException`

  - ### remove

    public void remove(String owner, String desc, String name)
    Removes a method remapping entry from the method remapping list. This method practically undoes `put(String, String, String, String)`. Like put remove only affects a SINGLE method in a SINGLE class and it's references. Note that implicitly declared/inherited methods must also be added to the remap list, sperately.
    Parameters:
      `owner` - The class of the method that should not be remapped
      `desc` - The descriptor of the method to not remap
      `name` - The name of the method that should not be remapped

  - ### size

    public int size()